%define upstream_name    MooseX-TransactionalMethods
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Transactional methods trait
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(aliased)
BuildArch: noarch

%description
This method exports the "transactional" declarator that will enclose the
method in a txn_do call.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.9.0-8.mga9
+ Revision: 1818962
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-7.mga8
+ Revision: 1505438
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.9.0-6.mga7
+ Revision: 1285091
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.9.0-5.mga7
+ Revision: 1165660
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.9.0-4.mga7
+ Revision: 1159219
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-3.mga6
+ Revision: 1030681
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.9.0-2.mga6
+ Revision: 967451
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.9.0-1.mga6
+ Revision: 849032
- update to 0.009

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 748408
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.0-3.mga4
+ Revision: 513240
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 370315
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 0.8.0-1.mga2
+ Revision: 148487
- imported package perl-MooseX-TransactionalMethods


* Mon Sep 26 2011 cpan2dist 0.008-1mga
- initial mageia release, generated with cpan2dist
